Bug 1807947 - openmsx requires Python 2 to build
Summary: openmsx requires Python 2 to build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openmsx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-27 14:34 UTC by Petr Viktorin
Modified: 2020-02-28 10:10 UTC (History)
1 user (show)

Fixed In Version: openmsx-0.15.0-5.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-27 19:03:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-27 14:34:52 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like openmsx, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

It seems that Python 3 support was already merged upstream: https://github.com/openMSX/openMSX/commit/7e0f3f15fd229b2b7efa7ad179beffe9f25c2321

If it's possible that the Python 2 build dependency won't get removed
in Fedora 33, please let us know; the package will need a FESCo exception.

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Hans de Goede 2020-02-27 19:03:05 UTC
I've changed the pkg to use python3 for building and committed and build openmsx-0.15.0-5.fc33 using python3, closing.

Comment 2 Petr Viktorin 2020-02-28 10:10:13 UTC
Thank you!


Note You need to log in before you can comment on or make changes to this bug.